Bug 1261011 - owncloud-9.0.0 is available
Summary: owncloud-9.0.0 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1244488 1325585 1333997 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-08 12:18 UTC by Upstream Release Monitoring
Modified: 2016-07-03 11:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-03 11:03:18 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (6.16 KB, patch)
2016-03-09 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff
Log /var/tmp/thn-rhZHxM94/rebase-helper-results/rebase-helper-debug.log provided by rebase-helper. (6.16 KB, patch)
2016-03-09 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-09-08 12:18:14 UTC
Latest upstream release: 8.1.2
Current version/release in rawhide: 8.0.7-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-09-08 12:18:47 UTC
Failed to kick off scratch build.

list index out of range

Comment 2 Upstream Release Monitoring 2015-09-12 00:14:27 UTC
Latest upstream release: 8.1.1
Current version/release in rawhide: 8.0.7-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-09-12 00:15:00 UTC
Failed to kick off scratch build.

list index out of range

Comment 4 Upstream Release Monitoring 2015-09-16 00:15:01 UTC
Latest upstream release: 8.1.3
Current version/release in rawhide: 8.0.7-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-09-16 00:15:36 UTC
Failed to kick off scratch build.

list index out of range

Comment 6 Fedora Admin XMLRPC Client 2015-09-17 18:03:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Upstream Release Monitoring 2015-10-20 12:16:14 UTC
Latest upstream release: 8.2.0
Current version/release in rawhide: 8.0.8-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-10-20 12:16:55 UTC
Failed to kick off scratch build.

list index out of range

Comment 9 James Hogarth 2015-11-06 09:00:03 UTC
Just grabbed the tarball and beginning the surgery to extract bundled stuff into something usable.

Comment 10 Upstream Release Monitoring 2015-11-19 00:16:10 UTC
Latest upstream release: 8.2.1
Current version/release in rawhide: 8.0.9-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-11-19 00:16:51 UTC
Failed to kick off scratch build.

list index out of range

Comment 12 Didier 2015-12-07 09:41:52 UTC
Apologies for the noise, but :
versions 8.1 and higher carry substantial improvements over 8.0.x.
Is there any prospect of an 8.2 release in the not too distant future ?


(just trying to decide whether to return to the upstream-built version : http://download.owncloud.org/download/repositories/stable/RHEL_7/)

Comment 13 James Hogarth 2015-12-07 09:50:26 UTC
(In reply to Didier from comment #12)
> Apologies for the noise, but :
> versions 8.1 and higher carry substantial improvements over 8.0.x.
> Is there any prospect of an 8.2 release in the not too distant future ?
> 
> 
> (just trying to decide whether to return to the upstream-built version :
> http://download.owncloud.org/download/repositories/stable/RHEL_7/)

Define not too distant?

This is being worked on a bit per day to clean it up ready to submit.

However this is probably easily a month off (it's really nontrivial unfortunately) assuming real world work and family has normal/minimal impact on it (I have a new daughter ... time gets more constrained)...

And that's only for Fedora - we need to do some more testing after that before thinking about the EPEL update ...

If you need the 8.2 features soon(TM) then I'd suggest you use upstream for the meanwhile ...

The last week nothing happened on this as I was focused on letsencrypt in my spare time - with that mostly out the way I can return to this.

Comment 14 Didier 2015-12-07 10:23:12 UTC
Thank you for the update, James.

I noticed the family business :) (congrats), and am aware of your letsencrypt work too.

Your investment in time and effort is much appreciated !
(oC RPM packaging with the PHP stuff is much too complicated for me)


As you seem to imply an RHEL/EPEL release is at least 2 months off, I'll probably go back to the upstream releases.
A pity Adam ceased his (as a RH employee, semi-official) oC efforts, as oC could be considered (IMO) a quite important application ; but hey, who am I to criticize ?

Comment 15 James Hogarth 2015-12-07 10:58:44 UTC
(In reply to Didier from comment #14)
> Thank you for the update, James.
> 
> I noticed the family business :) (congrats), and am aware of your
> letsencrypt work too.
> 
> Your investment in time and effort is much appreciated !
> (oC RPM packaging with the PHP stuff is much too complicated for me)
> 
> 
> As you seem to imply an RHEL/EPEL release is at least 2 months off, I'll
> probably go back to the upstream releases.
> A pity Adam ceased his (as a RH employee, semi-official) oC efforts, as oC
> could be considered (IMO) a quite important application ; but hey, who am I
> to criticize ?

To be clear there was never any official/semi-official Red Hat activity surrounding Owncloud and it was entirely his own inclination, time and effort because it scratched a specific itch he had.

He no longer needed it to fulfil his requirement as a better (for him) project came along.

He has, kindly, kept up the 8.0 maintenance releases whilst the rest of those who put their hand up try to get a handle on this package.

At least the relaxing of the bundling requirements make it a little simpler a beast, it's still messy though.

See his original request for a new maintainer here:
https://lists.stg.fedoraproject.org/archives/list/devel%40lists.fedoraproject.org/message/JDOKP5XDXPLSWZXYISJC4YXA25MB5DKC/

 
I really do want to get 8.2 into rawhide within the next month at the least ... so keep an eye on package updates. From there we can look at what blockers there end up being updating in EPEL and F23.

Comment 16 James Hogarth 2015-12-07 14:53:59 UTC
Just a quick update as I spent a little time on this during lunch...

There's a few patches that we can drop as 8.2 has made them obsolete 

There's additional stuff that needs to be unbundled, or with the new bundling policies temporarily bundle until they get packaged...

# New 3rdparty and bundle status as of 8.2.1
# deepdiver1975/tarstreamer * NOT_IN_FED 
# guzzlehttp * CAN_UNBUNDLE
# icewind * CAN_UNBUNDLE
# interfasys/lognormalizer * NOT_IN_FED
# jeremeamia/superclosure * CAN_UNBUNDLE
# league/flysystem * NOT_IN_FED
# nikic/php-parser * CAN_UNBUNDLE
# patchwork/jsqueeze * HAVE_UNBUNDLED
# pear/console_getopt * NOT_IN_FED
# pear/pear-core-minimal * NOT_IN_FED
# react * CAN_UNBUNDLE
# sabre/event * CAN_UNBUNDLE
# sabre/http * CAN_UNBUNDLE
# swiftmailer * NOT_IN_FED

mrclay and phpmailer are gone :)

I've not got to the point of testing an actual build yet ... but I expect that will be in about a week when I get some extra time then.

Keep an eye on this ticket and expect movement in the next month...

For any more detailed/frequent progress reports please ping me on email or irc to keep the noise down on the bug a bit :)

Comment 17 Adam Williamson 2015-12-07 15:58:54 UTC
There was never anything fully, semi, quarter or quasi-official about my OC packaging work, it was always entirely unofficial. I did it solely in the capacity of 'person who wanted to use the package'.

Comment 18 Didier 2015-12-07 19:53:46 UTC
I fully concur.

It's just that tag "@redhat.com" which, explicit disclaimers or not, adds that little bit of QA stamp approval. :)

Comment 19 Upstream Release Monitoring 2015-12-23 00:18:07 UTC
Latest upstream release: 8.2.2
Current version/release in rawhide: 8.0.9-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2015-12-23 00:20:01 UTC
Failed to kick off scratch build.

list index out of range

Comment 21 James Hogarth 2016-01-07 00:46:23 UTC
Just a quick status update ...

I have an 8.2.2 branch I'm 85-90% happy with now.

Stuff that is already in fedora is unbundled and provides with the bundled details are included for items not already in fedora or that may not work with the fedora packaged version.

This is a significant update of course so I'm trying to be fairly conservative and take precautions.

An email has been sent to my fellow co-maintainers for their verdict, eyes and testing before we proceed further.

I'm not sure if we can get this into F23 yet due to a couple of dependency requirements but it looks like we'll be writing up a changeset for F24 soon in all likelihood.

After discussions have happened I'll update this bug.

If we do carry out an F23 update (and even for the F24 one) we will of course want to get some thorough testing ... and don't forget backups!

Comment 22 Didier 2016-01-07 08:18:22 UTC
Thank you for your efforts, James ; much appreciated.
(Volunteering for EL7 testing.)

Comment 23 Adam Williamson 2016-01-12 02:13:19 UTC
FWIW I never bothered going through the Change process for owncloud version upgrades, I don't think it really provides anything of much value. But if you want to, knock yourself out. :P

didier: Just to manage expectations - the usual experience with ownCloud version upgrades is that we get Rawhide done first and usually leave it for a few weeks to shake out any problems, *then* we do Fedora stable releases, *then* we do EPEL (7 then 6). EPEL is usually extra work over Fedora because not all the deps are necessarily there.

Comment 24 Neal Gompa 2016-01-26 06:46:33 UTC
@James: So do you have any idea when we'll see owncloud 8.2.2 hit rawhide (and later, maybe even F23 and F22)?

Comment 25 Neal Gompa 2016-01-26 06:47:28 UTC
@James: So do you have any idea when we'll see owncloud 8.2.2 hit rawhide (and later, maybe even F23/F22 and EL7)?

Comment 26 Adam Williamson 2016-01-29 07:11:14 UTC
*** Bug 1244488 has been marked as a duplicate of this bug. ***

Comment 27 Scott Williams 2016-02-04 19:35:40 UTC
Let me know if you need any testing/hacking on this.  

I'm not sure if this helps but I noticed that there's a Fedora 22 8.2 RPM on the OpenSuSE builder at http://download.opensuse.org/repositories/isv:/ownCloud:/community:/testing/Fedora_22/noarch/  However, it looks like, as noted above, it bundles a handful of libs (libsmbclient, qtkeychain, etc).  Also, the Apache config there is minimal and serves out of the docroot as opposed to the Fedora approot.  

I have ownCloud deployed in Fedora 23 on a home server routed via DDNS.  I'm also happy to throw something in Docker or a VM to test.  I was using the owncloud zip distributions before switching to the Fedora provided packages because the upgrades have been much less painful.  I'm comfortable in PHP, js, Apache, and nginx if there's anything that needs to be done on that end.

Comment 28 James Hogarth 2016-02-09 16:58:45 UTC
(In reply to Scott Williams from comment #27)
> Let me know if you need any testing/hacking on this.  
> 
> I'm not sure if this helps but I noticed that there's a Fedora 22 8.2 RPM on
> the OpenSuSE builder at
> http://download.opensuse.org/repositories/isv:/ownCloud:/community:/testing/
> Fedora_22/noarch/  However, it looks like, as noted above, it bundles a
> handful of libs (libsmbclient, qtkeychain, etc).  Also, the Apache config
> there is minimal and serves out of the docroot as opposed to the Fedora
> approot.  
> 
> I have ownCloud deployed in Fedora 23 on a home server routed via DDNS.  I'm
> also happy to throw something in Docker or a VM to test.  I was using the
> owncloud zip distributions before switching to the Fedora provided packages
> because the upgrades have been much less painful.  I'm comfortable in PHP,
> js, Apache, and nginx if there's anything that needs to be done on that end.

Stuff over there isn't useful since it violates Fedora guidelines so badly.

I've managed to spend a little more time on this and thanks to Remi doing a bunch of new php packages everything is unbundled in my local build.

It is a major version jump however so I'm trying to be cautious.

My fedora people space will get new test RPMs uploaded in the next 24-48 hours (will be 8.2.2-2) and if those get a pass from the other maintainers I'll push it into rawhide for further testing.

I'm not sure yet on the F23 possibility as I'm just focusing on rawhide for the time being. That (along with EPEL) will come after the rawhide submission is sorted.

Comment 29 Scott Williams 2016-02-10 17:31:41 UTC
If it's helpful, I can verify your src rpm at https://jhogarth.fedorapeople.org/owncloud/owncloud-8.2.2-2.fc24.src.rpm rebuilds without error on Fedora 23.  This isn't all the surprising given the nature of what is being packaged here.  I haven't actually installed or tested it vanilla or as an upgrade yet, but I'm happy to when it's ready to be tested.

Comment 30 James Hogarth 2016-02-10 17:36:52 UTC
(In reply to Scott Williams from comment #29)
> If it's helpful, I can verify your src rpm at
> https://jhogarth.fedorapeople.org/owncloud/owncloud-8.2.2-2.fc24.src.rpm
> rebuilds without error on Fedora 23.  This isn't all the surprising given
> the nature of what is being packaged here.  I haven't actually installed or
> tested it vanilla or as an upgrade yet, but I'm happy to when it's ready to
> be tested.

Rebuild is not surprising as okay since the actual buildrequires is very limited and not changed from older versions.

Actually installing it is something else entirely since I'm reasonably sure there are some packages only in rawhide at this point which will need branching or updating to get it in F23.

Feedback from anyone willing to fire up a rawhide VM to test on would be appreciated, along with upgrade tests as well.

Comment 31 James Hogarth 2016-02-18 01:33:34 UTC
Okay so having had much joy with the fresh 8.2 packages and feeling they are ready to roll out to rawhide I figured it was time to do local upgrade testing ...

On my test rawhide VM I installed 8.0 and added a coupel of external sites and uploaded some files.

Then I updated to the 8.2 packages on my fpo site ...

"Exception: Updates between multiple major versions and downgrades are unsupported."

Drat ... thoughts on best way to handle this?

It's been a lot of time getting 8.2 ready and I have no idea how much effort it will be to package 8.1 for an interim release to get to 8.2 ...

Comment 32 Scott Williams 2016-02-19 19:39:07 UTC
I wonder how upstream handles this for their own packaging?  If it's a matter of fs layer, (ie, conf), then that might be done with saving an .rpmnew, but if it's a matter of database schema, that's more difficult.

Comment 33 Adam Williamson 2016-02-19 19:42:58 UTC
They just update their packages to every major release. It's easier for them because they don't care about unbundling or anything else we care about.

If you happen not to update for a while, you get to go digging for their old builds in their archive or whatever.

Comment 34 Scott Williams 2016-02-19 19:43:17 UTC
Looking at https://doc.owncloud.org/server/8.0/admin_manual/maintenance/upgrade.html I'm not sure why this message should be triggered.  It looks like it should trigger if:

* Two or more major versions in the upgrade (ie, v6.x ->8.x)
* The new is less than the current installed

I did some digging and think I found the cause here: https://forum.owncloud.org/viewtopic.php?t=32440

Comment 35 Adam Williamson 2016-02-19 19:44:48 UTC
8.1 and 8.2 count as 'major' releases for the purpose of the upgrade check, I think. There are internal version identifiers which are actually used, the public version isn't. I don't think this is a bug, I think upstream intends that 8.0 -> 8.2 is not supported.

Comment 36 Scott Williams 2016-02-19 19:46:38 UTC
According to https://doc.owncloud.org/server/8.0/admin_manual/maintenance/upgrade.html they are "point releases" not "major releases"

The thread I linked to suggested clearing out the "resources" folder before the upgrade.

Comment 37 Scott Williams 2016-02-19 19:47:50 UTC
I stand corrected - 8.1, 8.2 are the major releases.  RTFM fail on my part.

Comment 38 Scott Williams 2016-02-19 19:55:04 UTC
Part of the issue is also ensuring that a user upgrades to 8.1 before 8.2.  Even if 8.1 is shipped now and 8.2 is shipped in six months, if someone doesn't upgrade owncloud between then or does an upgrade to Fedora 24, it would still trigger this.

It might be possible to have owncloud81 and owncloud82 packages that track their minor release versions, but that seems more tedious to maintain.

Comment 39 Scott Williams 2016-02-19 20:12:56 UTC
The other alternative is we might be able to pack 8.1 into the RPM and run the occ upgrade bits for 8.1 at install time.  I'm willing to help script it, if that's a plausible path.

Comment 40 James Hogarth 2016-02-19 22:43:48 UTC
Okay just to clear up the roadmap given the flurry of emails ...

Owncloud 8.1 will be packaged and pushed out - I hope to get the packaging done this weekend.

This will be pushed to f22, f23 and rawhide (and epel... but i'm ignoring those for the precise moment as they have no impact on the fedora upgrade path).

The level of unbundling carried out will be enough to pass legal issues (eg the minify stuff) and pretty much match the present state of 8.0 otherwise.

These will be left out for a number of weeks with emails sent to the users and devel mailing lists making it clear these are interim packages that should be upgraded to soon(tm) and must be used prior to the 8.2 ones due in a few weeks.

Then after that the fully unbundled 8.2.X release will be pushed to all current fedora versions at that time.

Hopefully we'll be able to keep on top wit the 9.0+ release in future so we don't have a skip situation again.

There is zero likelihood of maintaining separate owncloud81/82/90 packages ... far too much work for relatively little gain. I certainly wouldn't want that burden.

In terms of the next Fedora version upgrade we need to have an expectation that the user has already done a dnf update to be as current as possible before moving to the next Fedora version. In principle they should already be on the same version in the new branch in the current Fedora version.

Comment 41 Adam Williamson 2016-02-20 00:47:54 UTC
+1 James - it's really not plausible to try to keep packages of every major version around for ever in case people fall off the upgrade train. I had a stretch goal to keep side repos for 5/6/7 around on happyassassin.net, but never entirely managed it. We're kind of a hostage to upstream's policies here, and all we can do is make a reasonable effort to keep the intermediate releases available for a decent amount of time and get the message out there that users need to upgrade.

The instructions for upgrading between releases do specifically instruct the user to ensure the system is fully up to date *before* doing the upgrade.

Comment 42 James Hogarth 2016-02-20 22:20:02 UTC
Quick update from efforts today:

I've got an owncloud 8.1 that passes the minimal muster discussed. I have upgraded cleanly from 8.0.10 to 8.1.5 in a test VM.

The testing I've done has phpmail, samba external, external apps working after the upgrade still.

I've not added the weak samba dependency to this version - I'll leave the more complex stuff like that till we get to our final 8.2.2 version.

I'll give it a week for anyone to come up with any blockers from the package and then I'll push the php-sabre-vobject, php-sabre-dav (newer versions of these are dependencies for 8.1 too, not just 8.2 and a quick --whatrequires only shows owncloud being affected from the rawhide repos) and owncloud packages into rawhide shortly before the branch point.

After that I'll start the F23 and F22 testing. If no issues come out of the rawhide update or testing I'll push the updates to them.

I'll try and be explicit in the update description as I can in bodhi that these must be updated to before th 8.2.2 update that will be due in a few weeks or so, and if not updated to will compromise the ability to cleanly update to 8.2.2

And that's it for today! Time for chores before bed ;)

Comment 43 Scott Williams 2016-02-22 16:32:41 UTC
Very cool - I'll see if I can test it here tonight and give some feedback.

Many thanks for your work on this!

Scott

Comment 44 Neal Gompa 2016-02-23 04:44:51 UTC
@James:

I don't see anything in Bodhi or Koji today, so I guess the push didn't happen. Was there a snag in preparing the update?

Comment 45 James Hogarth 2016-02-23 09:25:41 UTC
(In reply to Neal Gompa from comment #44)
> @James:
> 
> I don't see anything in Bodhi or Koji today, so I guess the push didn't
> happen. Was there a snag in preparing the update?

Neal I've not pushed it into rawhide yet due to the proximity of branch and the risk of a bad update.

Use my fedorapeople space to test it on rawhide.

If there's no negative responses from co-maintainers (or anyone else following this) in the next couple of days (ie before branch) I'll push it into rawhide.

dnf config-manager --add-repo=https://jhogarth.fedorapeople.org/owncloud/8.1.5/

Comment 46 Didier 2016-02-23 10:42:44 UTC
James,
Don't know where to start thanking you (and Remi, Adam, and all others involved) for picking this up.


Having rebuilt 8.2.2 for EL7 (https://copr.fedorainfracloud.org/coprs/ifas/owncloud/), it seems I am unable to find :
- owncloud-8.1.5-1.fc24.src.rpm (for the 8.0>8.1>8.2 transition) ;
- php-sabre-dav-2.1.5-1.fc24.src.rpm , php-sabre-vobject-3.4.6-1.fc24.src.rpm (dependencies).

Comment 47 James Hogarth 2016-02-23 10:56:39 UTC
(In reply to Didier from comment #46)
> James,
> Don't know where to start thanking you (and Remi, Adam, and all others
> involved) for picking this up.
> 
> 
> Having rebuilt 8.2.2 for EL7
> (https://copr.fedorainfracloud.org/coprs/ifas/owncloud/), it seems I am
> unable to find :
> - owncloud-8.1.5-1.fc24.src.rpm (for the 8.0>8.1>8.2 transition) ;
> - php-sabre-dav-2.1.5-1.fc24.src.rpm ,
> php-sabre-vobject-3.4.6-1.fc24.src.rpm (dependencies).

I've not published src rpms as of yet ... the cgit fedorapeople instance I have for owncloud has my 8.1.5 and 8.2.2 branches which you can fedpkg --dist foo srpm from ... 

https://fedorapeople.org/cgit/jhogarth/public_git/owncloud.git/

The PHP stuff comes from Remi's branches in dist-git:
http://pkgs.fedoraproject.org/cgit/rpms/php-sabre-vobject.git/
http://pkgs.fedoraproject.org/cgit/rpms/php-sabre-dav.git/

Look at his private- branches ...

Once this is in rawhide I plan to do the F23 and F22 testing and updates to 8.1.5, and after those two I'll then look to EPEL.

After 8.1.5 has been pushed all around I'll do the 8.2.2 update testing and rollouts ...

You only have a couple more months to wait to get the most recent owncloud in Fedora/EPEL ;)

Comment 48 Didier 2016-02-23 13:45:48 UTC
(In reply to James Hogarth from comment #47)
> You only have a couple more months to wait to get the most recent owncloud
> in Fedora/EPEL ;)

Well ... https://copr.fedorainfracloud.org/coprs/ifas/owncloud/ now provides EL7 versions of both 8.1.5 and 8.2.2.  ;)   (standard disclaimers apply)

I needed to modify the following packages (with "dmn" package suffixes) :

* owncloud.spec (8.2.2) :
   remove "Recommends:" and "Suggests:"
* php-pear.spec
   "Requires: httpd-filesystem" -> "Requires: httpd"
* php-sabre-dav : upgrade to 2.1.7 (fixes https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796423)

Comment 49 James Hogarth 2016-02-23 14:01:55 UTC
(In reply to Didier from comment #48)
> (In reply to James Hogarth from comment #47)
> > You only have a couple more months to wait to get the most recent owncloud
> > in Fedora/EPEL ;)
> 
> Well ... https://copr.fedorainfracloud.org/coprs/ifas/owncloud/ now provides
> EL7 versions of both 8.1.5 and 8.2.2.  ;)   (standard disclaimers apply)
> 
> I needed to modify the following packages (with "dmn" package suffixes) :
> 
> * owncloud.spec (8.2.2) :
>    remove "Recommends:" and "Suggests:"
> * php-pear.spec
>    "Requires: httpd-filesystem" -> "Requires: httpd"
> * php-sabre-dav : upgrade to 2.1.7 (fixes
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796423)

Thanks for doing early testing of that ... will really speed things up for EPEL once fedora is out the way ;)

Comment 50 Didier 2016-02-24 21:05:28 UTC
Went through the upgrade path : 8.0.10-1.el7 > 8.1.5 > 8.2.2.

Upgrade executed flawlessly ; our current required functionality (local/CIFS/NFS filesharing with PostgreSQL backend and LDAP authentication) appears to be functioning, at first sight.

(Our main issue (bad performance with CIFS external storage) seems to be resolved with the 8.1.5 upgrade.)

Comment 51 James Hogarth 2016-02-24 21:20:48 UTC
Quick update:

owncloud 8.1.5 is now built in koji against the rawhide (and thus f24) target along with the two php sabre upgrades needed

I'll wait for the compose and give it a test there - if all good i'll push to F23 and F22 update-testing towards the start of next week

Email has been sent to the fedora devel and users mailing lists with the heads up on the impending major upgrade and the importance of applying 8.1.5 before 8.2.2 gets pushed.

Comment 52 Upstream Release Monitoring 2016-03-09 00:18:56 UTC
Latest upstream release: 9.0.0
Current version/release in rawhide: 8.1.5-1.fc24
URL: http://owncloud.org/changelog/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 53 Upstream Release Monitoring 2016-03-09 00:19:41 UTC
Patching or scratch build for owncloud and version 8.1.5 FAILED.
See for details

Comment 54 Upstream Release Monitoring 2016-03-09 00:19:44 UTC
Created attachment 1134358 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 55 Upstream Release Monitoring 2016-03-09 00:19:47 UTC
Rebase helper failed.
See logs and attachments in this bugzilla

Comment 56 Upstream Release Monitoring 2016-03-09 00:19:50 UTC
Patches were not touched. All were applied properly

Comment 57 Upstream Release Monitoring 2016-03-09 00:19:52 UTC
Created attachment 1134359 [details]
Log /var/tmp/thn-rhZHxM94/rebase-helper-results/rebase-helper-debug.log provided by rebase-helper.

Comment 58 Fedora Update System 2016-03-09 14:35:52 UTC
owncloud-8.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-271438cff3

Comment 59 James Hogarth 2016-03-09 14:41:48 UTC
Alrighty ...

F23 update to 8.1.5 has been built (along with the two additional php dependencies) and should appear in updates-testing after the next push.

In the new few days I'll test the F22 one and then build and push that.

After that I'll build and push 8.2.2 for rawhide and F24 (the latter will be blocked till after alpha release of course).

Once that's in place I'll do the F23 8.2.2 update and then do the F22 one.

Doing it this way to maintain the upgrade path across distribution releases safely given the upstream stepped upgrade requirements.

After all of those are done I'll take a look at the new 9.0 release and check for any new things to unbundle.

At this time I'm only planning to do 9.0 for F23, F24 and rawhide, with F22 staying at 8.2.X.

Comment 60 Didier 2016-03-09 14:50:02 UTC
(In reply to James Hogarth from comment #59)

> After all of those are done I'll take a look at the new 9.0 release and
> check for any new things to unbundle.
> 
> At this time I'm only planning to do 9.0 for F23, F24 and rawhide, with F22
> staying at 8.2.X.

Warming up my COPR EL7 repo ...

Comment 61 Fedora Update System 2016-03-10 16:53:43 UTC
owncloud-8.1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-271438cff3

Comment 62 James Hogarth 2016-03-11 12:27:53 UTC
(In reply to Didier from comment #60)
> (In reply to James Hogarth from comment #59)
> 
> > After all of those are done I'll take a look at the new 9.0 release and
> > check for any new things to unbundle.
> > 
> > At this time I'm only planning to do 9.0 for F23, F24 and rawhide, with F22
> > staying at 8.2.X.
> 
> Warming up my COPR EL7 repo ...

Had a quick look between other activities (and waiting on F22 builds to test) and there's a few extra php dependencies to be unbundled ... some are already in the Fedora repos (not looked at EPEL yet) but there's a couple that need building.

Now we've got it to a fully php unbundled state it'd be nice to keep it that way so far as possible ;)

The three not in Fedora right now are:

 symfony/polyfill-mbstring, sabre/url and sabre/xml 

I've not yet checked if php-mbstring covers what symfony-polyfill-mbstring would do.

I'll be adding a 9.0 branch to my fedora people git instance over the weekend with the new unbundling we can already do in place.

Comment 63 Fedora Update System 2016-03-11 18:58:34 UTC
owncloud-8.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd14d5b92d

Comment 64 Fedora Update System 2016-03-12 16:52:40 UTC
owncloud-8.1.5-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd14d5b92d

Comment 65 James Hogarth 2016-03-15 00:32:00 UTC
Quick update:

The 8.2.3 update for F23 is in my fpo space, along with the git branch of 8.2_update now having this.

This is 100% unbundled for all the php libraries.

The plan currently is the Fedora Magazine article to go out the end of this week.

The bodhi comments so far for 8.1.5 have been positive so, barring any showstoppers, my intention is to push 8.1.5 stable on Wed 23rd.

The 8.2.3 update will then be merged in and pushed to rawhide and updates-testing for F24, F23 and F22.

After that I'll dive into 9.0 in preparation for pushing 8.2.3 stable a week or so later.

Around that time I'll start with the EPEL7 stuff as well.

Comment 66 Didier 2016-03-15 07:41:11 UTC
(In reply to James Hogarth from comment #51)
> Email has been sent to the fedora devel and users mailing lists with the
> heads up on the impending major upgrade and the importance of applying 8.1.5
> before 8.2.2 gets pushed.

Concerning the forced/recommended upgrade path (7->8.1>8.2>9.0) : is the mediawiki/zabbix/ansible route a viable option, to keep older ownCloud versions available ?

https://admin.fedoraproject.org/pkgdb/package/rpms/ansible1.9/
"This package contains the older ansible-1.9.x package. Some people will have trouble upgrading from 1.9.x to 2.0 so providing ansible-1.9.x in this package as an interim measure."

Comment 67 James Hogarth 2016-03-15 07:49:47 UTC
(In reply to Didier from comment #66)
> (In reply to James Hogarth from comment #51)
> > Email has been sent to the fedora devel and users mailing lists with the
> > heads up on the impending major upgrade and the importance of applying 8.1.5
> > before 8.2.2 gets pushed.
> 
> Concerning the forced/recommended upgrade path (7->8.1>8.2>9.0) : is the
> mediawiki/zabbix/ansible route a viable option, to keep older ownCloud
> versions available ?
> 
> https://admin.fedoraproject.org/pkgdb/package/rpms/ansible1.9/
> "This package contains the older ansible-1.9.x package. Some people will
> have trouble upgrading from 1.9.x to 2.0 so providing ansible-1.9.x in this
> package as an interim measure."

It's one of maintainer viability.

It's been a lot of work to get this far and I just straight out don't have the time to maintain 4 different major versions of owncloud (4 not 5 since 7.0 had now been EOLd making the EPEL6 question even trickier)... 

That's one heck of a test matrix to go through for updates, especially for them just being there to facilitate upgrades.

How many people actually want to stay on old owncloud revisions after all?

Comment 68 Didier 2016-03-15 08:36:09 UTC
I certainly would not maintain then, but simply keep them available as an 'always available' intermediate package in the upgrade process (preventing people from upgrading from oC 7 to oC 9).

Additionally, I imagine the upgrade path could pssibly be enforced by means of the .spec Conflicts/Requires tags (e. owncloud82 conflicting with owncloud<8.1, owncloud90 conflicting with owncloud<8.2, ...) ?

Comment 69 James Hogarth 2016-03-15 09:12:42 UTC
(In reply to Didier from comment #68)
> I certainly would not maintain then, but simply keep them available as an
> 'always available' intermediate package in the upgrade process (preventing
> people from upgrading from oC 7 to oC 9).
> 
> Additionally, I imagine the upgrade path could pssibly be enforced by means
> of the .spec Conflicts/Requires tags (e. owncloud82 conflicting with
> owncloud<8.1, owncloud90 conflicting with owncloud<8.2, ...) ?

Okay I'm taking this to EPSCo for advice and some direction (and exception to normal policy if required).

Running on the hypothetical "one must make multiple packages to provide for long term upgrade wishes and enable upgrades regardless of the state of things" my line of thought would be:

1) They would all have to conflict with each other - parallel install is not feasible as a goal, so to actively upgrade you'd have to remove one and install the next.
2) All versions get their respective branch updates when upstream releases to ensure people have secure setups.
3) When a version is EOL'd by upstream it gets obsoleted by the next up the chain so users will be automatically moved on update on a safe path to ensure they get security updates and don't get left on something insecure.
4) 8.0.X and 8.1.X will remain a bundling mess and that will have to just be accepted.
5) They will all provide owncloud so a straight yum install owncloud will select the most recent version unless someone specifies a particular release.

Given that there *should* be minimal editing to patch files and spec needed within a major release this seems like the most friendly course of action but it's something I'd only want to do for EPEL because of the special use case and not within Fedora. 

It just seems a lot of effort for owncloud80 and owncloud81 that most likely will barely be used be people given the improvements present in owncloud82.

I could understand people wanting to hold back on owncloud90 and stay with owncloud82 for a couple of point releases of the former at least though.

Comment 70 Fedora Update System 2016-03-22 19:53:59 UTC
owncloud-8.1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 71 Fedora Update System 2016-03-23 01:48:36 UTC
owncloud-8.1.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 72 Fedora Update System 2016-03-25 01:52:21 UTC
php-sabre-vobject-3.5.0-1.fc24 php-sabre-dav-2.1.10-1.fc24 owncloud-8.2.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12429fa7e1

Comment 73 Didier 2016-03-25 10:41:15 UTC
FYI : owncloud-8.2.3-3 for EL7 (https://copr.fedorainfracloud.org/coprs/ifas/owncloud/) compiled without any issues ; upgrade of an existing 8.2.2 installation went flawlessly.

Comment 74 Fedora Update System 2016-03-25 20:27:29 UTC
owncloud-8.2.3-3.fc24, php-sabre-dav-2.1.10-1.fc24, php-sabre-vobject-3.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12429fa7e1

Comment 75 Fedora Update System 2016-04-01 13:21:28 UTC
owncloud-8.2.3-4.fc24 php-Assetic-1.3.2-1.fc24 php-sabre-dav-2.1.10-1.fc24 php-sabre-vobject-3.5.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12429fa7e1

Comment 76 Fedora Update System 2016-04-01 22:27:11 UTC
php-Assetic-1.3.2-1.fc23 php-sabre-vobject-3.5.0-1.fc23 owncloud-8.2.3-4.fc23 php-sabre-dav-2.1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94c3b9c321

Comment 77 Fedora Update System 2016-04-02 00:29:42 UTC
php-Assetic-1.3.2-1.fc22 php-sabre-vobject-3.5.0-1.fc22 php-sabre-dav-2.1.10-1.fc22 owncloud-8.2.3-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2fac8e9c0e

Comment 78 Fedora Update System 2016-04-02 05:25:43 UTC
owncloud-8.2.3-4.fc24, php-Assetic-1.3.2-1.fc24, php-sabre-dav-2.1.10-1.fc24, php-sabre-vobject-3.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-12429fa7e1

Comment 79 Fedora Update System 2016-04-02 05:25:49 UTC
owncloud-8.2.3-4.fc23, php-Assetic-1.3.2-1.fc23, php-sabre-dav-2.1.10-1.fc23, php-sabre-vobject-3.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94c3b9c321

Comment 80 Fedora Update System 2016-04-02 21:21:07 UTC
owncloud-8.2.3-4.fc22, php-Assetic-1.3.2-1.fc22, php-sabre-dav-2.1.10-1.fc22, php-sabre-vobject-3.5.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2fac8e9c0e

Comment 81 James Hogarth 2016-04-02 23:15:42 UTC
Update time:

From the flurry of FUS comments 8.2.3 is well on it's way to Fedora.

This is fully unbundled from the php libraries and the new php dependencies for 9.0.x have been identified and packaged.

In EPEL6 owncloud has had it's final 7.0.x update issued as that major release is now EOL upstream and the newer versions require newer php than we get through base/epel. Following that update (which includes an EOL notice detailing this) the package will be retired in that branch.

I'm very grateful for your COPR preliminary testing Didier and I've started on the EPEL7 side of things tonight.

When I've finished the testing (which shouldn't take too long given the existing testing already in Fedora) I'll issue the updates for owncloud, php-sabre-dav, php-sabre-http, php-sabre-event and php-sabre-vobject that are required to get to 8.1.6 (picking the newer version for epel7 in the 8.1.x series since due to the extended time to get to 8.2.x).

I'm still mentally reviewing the owncloud82 and owncloud90 thing for the future epel7 updates once we get to that point, but given the cleanup work that has gone on for 8.2 that's the minimal level i'm willing to do a parallel build on.

Incidentally Didier did you get these errors on your EL7 admin pages (on an 8.1.6 build right now as pushed to epel7 branch of owncloud):

  * This server has no working Internet connection. This means that some of the features like mounting external storage, notifications about updates or installation of third-party apps will not work. Accessing files remotely and sending of notification emails might not work, either. We suggest enabling the Internet connection for this server.
  * cURL is using an outdated NSS version (NSS/3.19.1 Basic ECC). Please update your operating system or features such as installing and updating apps via the app store or Federated Cloud Sharing will not work reliably. 

Apparently related to this bug that will be fixed in 7.3:

https://bugzilla.redhat.com/show_bug.cgi?id=1241172

Comment 82 Fedora Update System 2016-04-05 15:51:07 UTC
php-sabre-event-2.0.2-1.el7 php-sabre-vobject-3.5.0-1.el7 php-sabre-http-3.0.5-1.el7 php-sabre-dav-2.1.10-1.el7 owncloud-8.1.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3945697efc

Comment 83 Fedora Update System 2016-04-06 21:20:11 UTC
owncloud-8.1.6-1.el7, php-sabre-dav-2.1.10-1.el7, php-sabre-event-2.0.2-1.el7, php-sabre-http-3.0.5-1.el7, php-sabre-vobject-3.5.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3945697efc

Comment 84 Fedora Update System 2016-04-13 20:23:47 UTC
owncloud-8.2.3-4.fc23, php-Assetic-1.3.2-1.fc23, php-sabre-dav-2.1.10-1.fc23, php-sabre-vobject-3.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 85 Fedora Update System 2016-04-13 21:36:24 UTC
owncloud-8.2.3-4.fc24, php-Assetic-1.3.2-1.fc24, php-sabre-dav-2.1.10-1.fc24, php-sabre-vobject-3.5.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 86 Fedora Update System 2016-04-14 04:23:20 UTC
owncloud-8.2.3-4.fc22, php-Assetic-1.3.2-1.fc22, php-sabre-dav-2.1.10-1.fc22, php-sabre-vobject-3.5.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 87 James Hogarth 2016-04-22 10:57:36 UTC
*** Bug 1325585 has been marked as a duplicate of this bug. ***

Comment 88 Fedora Update System 2016-04-24 09:28:25 UTC
owncloud-8.1.6-1.el7, php-sabre-dav-2.1.10-1.el7, php-sabre-event-2.0.2-1.el7, php-sabre-http-3.0.5-1.el7, php-sabre-vobject-3.5.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 89 Fedora Update System 2016-05-01 23:20:46 UTC
php-natxet-cssmin-3.0.4-1.el7 php-Assetic-1.3.2-3.el7 owncloud-8.2.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 90 Fedora Update System 2016-05-03 00:26:33 UTC
owncloud-8.2.3-1.el7, php-Assetic-1.3.2-3.el7, php-natxet-cssmin-3.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 91 James Hogarth 2016-05-05 10:32:33 UTC
With the autoloader based (rather than PSR) 8.2.3 build in stable Fedora and only a few weeks from landing in EPEL7 it seems a good point for a quick status update on the progress of getting to 9.0

There is a new branch in dist-git called private-owncloud-next

I'll be importing 9.0 to this shortly, and the plan is for this to hold the next major version each time ready to merge when we're ready to update the distribution branches.

The update needs a newer sabre-dav (ready in a private branch) and a symfony 2.8 update which is partially ready, pending one of its dependencies getting package review (in progress).

Comment 92 Fedora Update System 2016-05-06 14:04:06 UTC
owncloud-8.2.4-1.el7 php-Assetic-1.3.2-3.el7 php-natxet-cssmin-3.0.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 93 James Hogarth 2016-05-07 06:59:42 UTC
*** Bug 1333997 has been marked as a duplicate of this bug. ***

Comment 94 James Hogarth 2016-05-07 07:03:14 UTC
9.0.2 for F24 is built on my FPO space.

Later on this weekend I'll build it for the other distribution versions as well.

The source is ready for merging and building in the private branch.

The blocker for doing so is symfony 2.8, which just had its new dependency pass package review.

Comment 95 Fedora Update System 2016-05-07 16:21:54 UTC
owncloud-8.2.4-1.el7, php-Assetic-1.3.2-3.el7, php-natxet-cssmin-3.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ee08a77d2

Comment 96 Didier 2016-05-10 10:25:06 UTC
(In reply to James Hogarth from comment #94)
> 9.0.2 for F24 is built on my FPO space.

Any chance of providing the src.prm (in order to build the EL7 version ourselves) ?

Comment 97 James Hogarth 2016-05-10 10:57:44 UTC
(In reply to Didier from comment #96)
> (In reply to James Hogarth from comment #94)
> > 9.0.2 for F24 is built on my FPO space.
> 
> Any chance of providing the src.prm (in order to build the EL7 version
> ourselves) ?

I'll generate the appropriate srpms and rpms for f23 and el7 for my fpo in the next few days.

It's a more extensive set than was required for 8.2.X due to the symfony 2.8 upgrade needed.

Incidentally did you see my question about the admin page and the nss/internet warnings on el7 (along with broken appstore for some things such as Music as a result)?

Comment 98 Didier 2016-05-10 14:51:09 UTC
(In reply to James Hogarth from comment #97)

> Incidentally did you see my question about the admin page and the
> nss/internet warnings on el7 (along with broken appstore for some things
> such as Music as a result)?

Apologies, I missed that.
Indeed, these warnings were always there ; I trust updated curl/nss versions will eventually straighten that out.

I never used it before, but with 8.2.4-1.el7 and limited testing, the Music app appears to work fine.

Comment 99 James Hogarth 2016-05-10 15:17:15 UTC
(In reply to Didier from comment #98)
> (In reply to James Hogarth from comment #97)
> 
> > Incidentally did you see my question about the admin page and the
> > nss/internet warnings on el7 (along with broken appstore for some things
> > such as Music as a result)?
> 
> Apologies, I missed that.
> Indeed, these warnings were always there ; I trust updated curl/nss versions
> will eventually straighten that out.
> 
> I never used it before, but with 8.2.4-1.el7 and limited testing, the Music
> app appears to work fine.

Which 8.2.4-1 ... the one you put together or the one I pushed to epel-testing recently? I had to add a workaround for the issue until 7.3 comes out which is why it works there ...

Comment 100 Didier 2016-05-10 16:45:53 UTC
(In reply to James Hogarth from comment #99)

> Which 8.2.4-1 ... the one you put together or the one I pushed to
> epel-testing recently? I had to add a workaround for the issue until 7.3
> comes out which is why it works there ...

Yours, from epel-testing.

(BTW : thanks for the tremendous effort ; much appreciated)

Comment 101 James Hogarth 2016-05-21 23:26:23 UTC
For those following along and looking to do some very preliminary testing the 9.0.2 builds (with srpms!) for F23 and EPEL7 have joined the F24 builds I popped up there before.

https://jhogarth.fedorapeople.org/owncloud/9.0.2/23/x86_64/
https://jhogarth.fedorapeople.org/owncloud/9.0.2/epel7/x86_64/

Note that the owncloud-nginx package has a distinctly different configuration to previous so if using nginx and php-fpm please ensure that any config needed is merged or local configs are not damaged.

Prior to this the shipped nginx config was fundamentally broken and absolutely required complete local user configuration to work. The new build also runs the owncloud application in it's own owncloud pool in php-fpm rather than sharing the default www one... so again if using nginx please carefully verify your configs.

See bz1332900 or bz1332901 for details

The dependencies included are from private- branches that Remi and Shawn have for upcoming versions of php-sabre and php-symfony. The major blocker now for the 9.0.2 release is symfony 2.8, which is being worked on at present.

I have run these through my test matrix for fresh install and upgrades from 8.2 on F24 and EL7 but please keep in mind the preliminary build warning and that the newer dependencies not in Fedora/EPEL yet are just a local mock build from the private- branches.

The ansible roles used to test these can be found here:

https://github.com/hogarthj/test_vms

For those interested an article on building and testing this stuff is due to go up on my blog in the coming week ;)

The spec used for these has been pushed to the private-owncloud-next branch as well.

Comment 102 Didier 2016-05-23 12:30:51 UTC
FYI :

Rebuilt the SRPMs from https://jhogarth.fedorapeople.org/owncloud/9.0.2/epel7/srpms/ in my COPR repo, and upgraded three existing owncloud-8.2.4-1.el7 Apache-based instances without issue.


(though the ownCloud logs are clogged with "Using Twig_Autoloader is deprecated since version 1.21. Use Composer instead. at \/usr\/share\/php\/Twig\/Autoloader.php#30" warnings)

Comment 103 James Hogarth 2016-05-23 13:01:11 UTC
(In reply to Didier from comment #102)
> FYI :
> 
> Rebuilt the SRPMs from
> https://jhogarth.fedorapeople.org/owncloud/9.0.2/epel7/srpms/ in my COPR
> repo, and upgraded three existing owncloud-8.2.4-1.el7 Apache-based
> instances without issue.
> 
> 
> (though the ownCloud logs are clogged with "Using Twig_Autoloader is
> deprecated since version 1.21. Use Composer instead. at
> \/usr\/share\/php\/Twig\/Autoloader.php#30" warnings)

Thanks for the early testing ... and that reminds me I need to file a bug about php-Twig spamming the logs (in Fedora/EPEL we're not deprecating the autoloader and the PHP SIG has an interest in promoting autoloader use).

Comment 104 Fedora Update System 2016-05-23 22:48:22 UTC
owncloud-8.2.4-1.el7, php-Assetic-1.3.2-3.el7, php-natxet-cssmin-3.0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 105 Fedora Update System 2016-05-31 15:41:37 UTC
php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 php-symfony-2.8.6-2.fc24 owncloud-9.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 106 Fedora Update System 2016-06-01 08:29:01 UTC
owncloud-9.0.2-1.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.6-2.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 107 Fedora Update System 2016-06-01 13:31:05 UTC
owncloud-9.0.2-2.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.6-2.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 108 Fedora Update System 2016-06-02 09:01:45 UTC
owncloud-9.0.2-3.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.6-2.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 109 Fedora Update System 2016-06-03 14:06:27 UTC
php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 php-symfony-2.8.6-2.fc23 owncloud-9.0.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 110 Fedora Update System 2016-06-03 16:51:03 UTC
php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-security-acl-2.8.0-1.el7 php-symfony-2.8.6-2.el7 owncloud-9.0.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 111 Fedora Update System 2016-06-05 03:58:23 UTC
owncloud-9.0.2-3.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.6-2.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 112 Fedora Update System 2016-06-05 07:51:18 UTC
owncloud-9.0.2-3.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.6-2.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 113 James Hogarth 2016-06-06 10:54:01 UTC
(In reply to Didier from comment #102)
> FYI :
> 
> Rebuilt the SRPMs from
> https://jhogarth.fedorapeople.org/owncloud/9.0.2/epel7/srpms/ in my COPR
> repo, and upgraded three existing owncloud-8.2.4-1.el7 Apache-based
> instances without issue.
> 
> 
> (though the ownCloud logs are clogged with "Using Twig_Autoloader is
> deprecated since version 1.21. Use Composer instead. at
> \/usr\/share\/php\/Twig\/Autoloader.php#30" warnings)

FYI bz#1342819 was filed for that and there is a package in updates-testing (or epel-testing) which fixes that issue.

Comment 114 Fedora Update System 2016-06-07 10:07:03 UTC
owncloud-9.0.2-3.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 115 Fedora Update System 2016-06-07 10:07:45 UTC
owncloud-9.0.2-3.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 116 Fedora Update System 2016-06-07 10:09:27 UTC
owncloud-9.0.2-3.el7 php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-2.8.7-1.el7 php-symfony-security-acl-2.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 117 Fedora Update System 2016-06-07 18:54:47 UTC
owncloud-9.0.2-3.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 118 Fedora Update System 2016-06-08 02:24:37 UTC
owncloud-9.0.2-3.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 119 Fedora Update System 2016-06-08 05:48:13 UTC
owncloud-9.0.2-3.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 120 Illya 2016-06-13 21:30:01 UTC
I have updated my OC installation (postgres+nginx) to 9.0.2 four day ago and most functions are working.

Till now I have found a single trouble: infinite loop after authentication for password protected link shares. Owncloud produces following in logs:

> Jun 13 23:25:24 domain.tld ownCloud[14211]: {webdav} Exception: {"Message":"HTTP\/1.1 401 Username or password was incorrect","Exception":"Sabre\\DAV\\Exception\\NotAuthenticated","Code":0,"Trace":"#0 [internal function]: Sabre\\DAV\\Auth\\Plugin->beforeMethod(Object(Sabre\\HTTP\\Request), Object(Sabre\\HTTP\\Response))\n#1 \/usr\/share\/php\/Sabre\/Event\/EventEmitterTrait.php(105): call_user_func_array(Array, Array)\n#2 \/usr\/share\/php\/Sabre\/DAV\/Server.php(446): Sabre\\Event\\EventEmitter->emit('beforeMethod', Array)\n#3 \/usr\/share\/php\/Sabre\/DAV\/Server.php(248): Sabre\\DAV\\Server->invokeMethod(Object(Sabre\\HTTP\\Request), Object(Sabre\\HTTP\\Response))\n#4 \/usr\/share\/owncloud\/apps\/dav\/appinfo\/v1\/publicwebdav.php(82): Sabre\\DAV\\Server->exec()\n#5 \/usr\/share\/owncloud\/public.php(74): require_once('\/usr\/share\/ownc...')\n#6 {main}","File":"\/usr\/share\/php\/Sabre\/DAV\/Auth\/Plugin.php","Line":188,"User":false}


There are no problems with link shares without password or with shares among registered users

Comment 121 Didier 2016-06-13 23:24:21 UTC
(In reply to Illya from comment #120)

> Till now I have found a single trouble: infinite loop after authentication
> for password protected link shares. Owncloud produces following in logs:


Illya,
Have a look at oC issue #23066 ; you need to apply the patches in https://github.com/owncloud/core/commit/8666439b68bc405a156fe2679cd74fe932b07698
 .

Comment 122 James Hogarth 2016-06-13 23:33:03 UTC
Thanks for the testing.

I'll backport the patch and update the bodhi build tomorrow.

Comment 123 Illya 2016-06-13 23:53:06 UTC
(In reply to Didier from comment #121)
> 
> Illya,
> Have a look at oC issue #23066 ; you need to apply the patches in
> https://github.com/owncloud/core/commit/
> 8666439b68bc405a156fe2679cd74fe932b07698
>  .

Didier,
thank you for the link!

It work's now.

It was also necessary to make changes to these files:

./apps/gallery/middleware/envcheckmiddleware.php L299
./apps/dav/lib/connector/publicauth.php L92

as suggested in this GitHub comment https://github.com/owncloud/core/issues/23066#issuecomment-224046003

Comment 124 Didier 2016-06-14 06:36:11 UTC
To summarize,
In /usr/share/owncloud/ , the following files need to be patched :

./lib/private/share/share.php
./apps/files_sharing/lib/helper.php
./apps/dav/lib/connector/publicauth.php
./apps/gallery/middleware/envcheckmiddleware.php

replacing each occurance of
  $linkItem['id']
with
  (string)$linkItem['id']

Comment 125 James Hogarth 2016-06-14 10:37:45 UTC
I've created a specific bugzilla issues for this to make searching for others easier:

EPEL7: bz#1346234
Fedora: bz#1346233

Comment 126 James Hogarth 2016-06-14 14:43:07 UTC
Interestingly it only affected postgres users ... 

To manage expectation I replicated and produced a fixed local build but ran out of time between other things to build in koji and update bodhi

Expect the update in bodhi tomorrow ready for the next push to testing repos after that.

Comment 127 Fedora Update System 2016-06-15 21:20:20 UTC
owncloud-9.0.2-4.fc24 php-sabre-dav-3.0.9-1.fc24 php-sabre-http-4.2.1-1.fc24 php-symfony-2.8.7-1.fc24 php-symfony-security-acl-2.8.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 128 Fedora Update System 2016-06-15 21:45:36 UTC
owncloud-9.0.2-4.fc23 php-mcnetic-zipstreamer-1.0-1.fc23 php-sabre-dav-3.0.9-1.fc23 php-sabre-http-4.2.1-1.fc23 php-symfony-2.8.7-1.fc23 php-symfony-security-acl-2.8.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 129 Fedora Update System 2016-06-15 22:19:03 UTC
owncloud-9.0.2-4.el7 php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-2.8.7-1.el7 php-symfony-security-acl-2.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 130 Fedora Update System 2016-06-16 15:55:41 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a7d88ae655

Comment 131 Fedora Update System 2016-06-17 18:49:03 UTC
owncloud-9.0.2-4.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 132 Fedora Update System 2016-06-17 18:55:31 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7f81d901f

Comment 133 Fedora Update System 2016-06-22 23:55:05 UTC
owncloud-9.0.2-4.fc24, php-sabre-dav-3.0.9-1.fc24, php-sabre-http-4.2.1-1.fc24, php-symfony-2.8.7-1.fc24, php-symfony-security-acl-2.8.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 134 Fedora Update System 2016-07-02 19:32:24 UTC
owncloud-9.0.2-4.fc23, php-mcnetic-zipstreamer-1.0-1.fc23, php-sabre-dav-3.0.9-1.fc23, php-sabre-http-4.2.1-1.fc23, php-symfony-2.8.7-1.fc23, php-symfony-security-acl-2.8.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 135 Fedora Update System 2016-07-02 23:50:09 UTC
owncloud-9.0.2-4.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 136 James Hogarth 2016-07-03 11:03:18 UTC
Closing this master bug now that 9.0.X is in F23, F24 and EPEL7. 

If on F22 and want to update OwnCloud please upgrade your Fedora version.

If on EL6 and want to update OwnCloud please upgrade to EL7 out switch to upstream packages and SCL.


Note You need to log in before you can comment on or make changes to this bug.